commit:     07a7fba54ea64b3b6c185d17898c68a6ca3e319d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 10 01:16:29 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Sep 10 01:16:29 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07a7fba5

dev-lang/ispc: bump to 1.14.1

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/ispc/Manifest           |  1 +
 dev-lang/ispc/ispc-1.14.1.ebuild | 67 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-lang/ispc/Manifest b/dev-lang/ispc/Manifest
index 4572d984a64..ff3dab92e0f 100644
--- a/dev-lang/ispc/Manifest
+++ b/dev-lang/ispc/Manifest
@@ -1 +1,2 @@
 DIST ispc-1.14.0.tar.gz 19454030 BLAKE2B 
3bd494f4357c7c756c6bc63c76ced37feb83e8f6f73b0adc9e432f37e905efe0f7fe5f8b153d3ccff3ac9f826d0c76f7c33f2a151887ab900088bab95e626856
 SHA512 
a1325a26804f08a357c84cb1d7266bd56d6d135314985337e057e39ddf556a7332922926e9d10db817048a8d5b491467de7261029a0a46726f330a00791ee8f8
+DIST ispc-1.14.1.tar.gz 19454189 BLAKE2B 
615698e64ffbd2c82808d6ddd0b5b90f7c52bb8c202a04364d63af26f0e062631f4a8ad01895c1a4f1a8f11e7f91aec381354ddd873d0a4f2908431dcaabe383
 SHA512 
468e8a44408047ba7b43dc4baf05c2659093b986e131ebe973954ff3b9cf707a4ed22c705b6e01a9abc9a3911669ab31cd191449442c4ac73112a1297da32c5e

diff --git a/dev-lang/ispc/ispc-1.14.1.ebuild b/dev-lang/ispc/ispc-1.14.1.ebuild
new file mode 100644
index 00000000000..0bd27f696f5
--- /dev/null
+++ b/dev-lang/ispc/ispc-1.14.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit cmake toolchain-funcs python-any-r1
+
+DESCRIPTION="Intel SPMD Program Compiler"
+HOMEPAGE="https://ispc.github.com/";
+
+if [[ ${PV} = *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/ispc/ispc.git";
+       KEYWORDS=""
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="BSD BSD-2 UoI-NCSA"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="
+       >=sys-devel/clang-3.0:*
+       >=sys-devel/llvm-3.0:*
+       "
+DEPEND="
+       ${RDEPEND}
+       ${PYTHON_DEPS}
+       "
+BDEPEND="
+       sys-devel/bison
+       sys-devel/flex
+       "
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.13.0-cmake-gentoo-release.patch"
+       "${FILESDIR}/${PN}-1.14.0-llvm-10.patch"
+       "${FILESDIR}/${PN}-1.13.0-werror.patch"
+)
+
+src_configure() {
+       local mycmakeargs=(
+               "-DARM_ENABLED=$(usex arm)"
+               "-DCMAKE_SKIP_RPATH=ON"
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       dobin "${BUILD_DIR}"/bin/ispc
+       dodoc README.md
+
+       if use examples; then
+               insinto "/usr/share/doc/${PF}/examples"
+               docompress -x "/usr/share/doc/${PF}/examples"
+               doins -r "${BUILD_DIR}"/examples/*
+       fi
+}
+
+src_test() {
+       # Inject path to prevent using system ispc
+       PATH="${BUILD_DIR}/bin:${PATH}" ${EPYTHON} run_tests.py || die "Testing 
failed under ${EPYTHON}"
+}

Reply via email to